# Class StandardHostSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.StandardHostSF

All Implemented Interfaces:
  `IStoreFactory`

public class StandardHostSF extends StoreFactoryBase
Store server.xml Element Host

## Field Summary

### Fields inherited from class StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`StandardHostSF()`
Constructs a new StandardHostSF instance for storing Host elements in server.xml.

## Method Summary

Modifier and Type
Method
Description
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aHost, StoreDescription parentDesc)`
Store the specified Host properties and children (Listener,Alias,Realm,Valve,Cluster, Context)

### Methods inherited from class StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardHostSF

public StandardHostSF()
Constructs a new StandardHostSF instance for storing Host elements in server.xml.

## Method Details

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aHost, StoreDescription parentDesc) throws Exception
Store the specified Host properties and children (Listener,Alias,Realm,Valve,Cluster, Context)

Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aHost` - Current element
  `parentDesc` - The element description
Throws:
  `Exception` - Configuration storing error